Bug 730015 - NullPointerException on disposing modal dialog
Summary: NullPointerException on disposing modal dialog
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Deepak Bhole
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 735472 737671 737680 744574 747322 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-11 14:35 UTC by Casey Harkins
Modified: 2012-02-02 15:18 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-30 19:21:03 UTC


Attachments (Terms of Use)
fix from jdk7 (553 bytes, patch)
2011-08-11 14:36 UTC, Casey Harkins
no flags Details | Diff
bug example (858 bytes, text/x-java)
2011-08-11 14:38 UTC, Casey Harkins
no flags Details

Description Casey Harkins 2011-08-11 14:35:23 UTC
Description of problem:

A bug is introduced with the icedtea patch 6693253-security_warning.patch which causes NullPointerException to be thrown in sun.awt.X11.XWindowPeer (a simple example is attached as XWindowPeerNPE.java). This bug was identified and fixed upstream in jdk7 (apparently not jdk6?).

Version-Release number of selected component (if applicable):

1.6.0.0-59.1.10.3

How reproducible:

100%

Steps to Reproduce:
1. Compile attached XWindowPeerNPE.java (javac XWindowPeerNPE.java)
2. Run it from terminal (java XWindowPeerNPE)
3. Click the dispose button
  
Actual results:

NullPointerException 

Expected results:

Window is properly disposed without Exception.

Additional info:

Sun Bug: http://bugs.sun.com/view_bug.do?bug_id=6826104
jdk7 fix: http://hg.openjdk.java.net/jdk7/awt/jdk/rev/c6503f2a93d1

Comment 1 Casey Harkins 2011-08-11 14:36:53 UTC
Created attachment 517821 [details]
fix from jdk7

Comment 2 Casey Harkins 2011-08-11 14:38:05 UTC
Created attachment 517822 [details]
bug example

Comment 3 Joel Uckelman 2011-08-26 20:46:41 UTC
I can replicate this bug every time. This is a severe problem, as it makes any Java application using a modal file chooser unusable.

Comment 4 Deepak Bhole 2011-08-26 21:24:48 UTC
I requested a backport a while ago. It is still pending approval:

http://mail.openjdk.java.net/pipermail/jdk6-dev/2011-August/002472.html

I will ping once more, and if nothing comes of it soon, I will just add it to IcedTea.

Comment 5 Deepak Bhole 2011-08-26 21:25:46 UTC
Doh. Please ignore the comment above. I confused this bug with another one :/ 

I will take a look at this on Monday.

Comment 6 Joel Uckelman 2011-08-26 21:31:00 UTC
Thanks. Also worth noting: This bug did not exist in java-1.6.0-openjdk-1.6.0.0-57, the previous version of the package.

Comment 7 Andrew John Hughes 2011-08-28 04:18:41 UTC
Deepak, I know this is the wrong bug but for whichever bug that was meant to be on...

The patch should go in IcedTea now.  Even if we finally get it into OpenJDK6, it's going to be an undefined time before that makes it through to end-users.

Comment 8 Deepak Bhole 2011-08-30 19:21:03 UTC
Fixed upstream. It will be in the next update:
http://icedtea.classpath.org/hg/release/icedtea6-1.10/rev/d0a7b63adce9

Comment 9 Deepak Bhole 2011-09-06 15:27:49 UTC
*** Bug 735472 has been marked as a duplicate of this bug. ***

Comment 10 Deepak Bhole 2011-10-09 16:54:03 UTC
*** Bug 744574 has been marked as a duplicate of this bug. ***

Comment 11 Donald Cohen 2011-10-14 03:59:16 UTC
I know this is not the ideal place to ask (please tell me where I should ask or where I should find the answer!) but now that I've installed icedtea7, how do I get it to be used by firefox (or chrome for that matter)?
I did get eclipse to use it.

Comment 12 Deepak Bhole 2011-10-17 15:24:53 UTC
Hi Donald,

You will have to rebuild icedtea-web as well:
http://icedtea.classpath.org/wiki/IcedTea-Web#Building_IcedTea-Web

Once installed, you can link to the IcedTeaPlugin.so (installed in /usr/lib[64] by default) from /usr/lib[64]/mozilla/plugins). You should uninstall the existing icedtea-web RPM too.

Assuming this issue is the main reason you built IcedTea7, I would suggest waiting for a few days. A Java security errata is due on the 18th/19th of October, and will contain this fix.

Comment 13 Donald Cohen 2011-10-17 16:23:02 UTC
I've been imagining that the iced tea plugin depends on the java version.
But unlike the java openjdk packages, yum doesn't show any mention of java version for iced tea web.  I see in iced tea web control panel that use of multiple jre's is not supported, but I also don't see where to select which SINGLE jre you want to use.

So ...

Waiting a few days will give me a new version of the IcedTeaPlugin 
using java 6 or 7?  

yum list installed
 already shows
icedtea-web.x86_64                  1.1.3-1.fc16               @updates-testing 
But how can I tell whether that's 6 or 7?

Comment 14 Deepak Bhole 2011-10-17 16:25:41 UTC
It will be using Java 6.

Comment 15 Deepak Bhole 2011-10-19 13:56:01 UTC
*** Bug 747322 has been marked as a duplicate of this bug. ***

Comment 16 Michael Cronenworth 2011-10-24 21:37:12 UTC
*** Bug 737680 has been marked as a duplicate of this bug. ***

Comment 17 Michael Cronenworth 2011-10-24 21:38:39 UTC
*** Bug 737671 has been marked as a duplicate of this bug. ***

Comment 18 Andrew John Hughes 2012-02-02 15:18:52 UTC
Fixed in the 1.11 update: http://blog.fuseyism.com/index.php/2012/01/31/icedtea6-1-11-released/


Note You need to log in before you can comment on or make changes to this bug.